oracle.xdb.servlet

## Interface XDBStream

All Known Implementing Classes:
  XDBServletResponse

    public interface XDBStream

Interface for supporting native streaming.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `writeXMLNative(long xobCstate, java.lang.String encoding, short indent)` Write the XOB to the underlying stream

### Method Detail

#### writeXMLNative

    void writeXMLNative(long xobCstate,
                        java.lang.String encoding,
                        short indent)
                 throws java.io.IOException

Write the XOB to the underlying stream

Parameters:
  `xobCstate` - Pointer to the C qmxob struct.
  `encoding` - The charset encoding
  `indent` - The number of spaces to be used for indenting the contents.
Throws:
  `java.io.IOException`

Copyright © 2003, 2019, Oracle and/or its affiliates. All rights reserved.
Use is subject to license terms. Also see the documentation redistribution policy.
ORACLE CONFIDENTIAL
For authorized use only.
Do not distribute to third parties.